<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: StdDriver/inc/acmp.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">acmp.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Mini51 series Analog Comparator(ACMP) driver header file.  
<a href="#details">More...</a></p>

<p><a href="acmp_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gadf8b3039e5b30cfc887b6ad643dc09ba"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadf8b3039e5b30cfc887b6ad643dc09ba">ACMP_VNEG_PIN</a></td></tr>
<tr class="memdesc:gadf8b3039e5b30cfc887b6ad643dc09ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting the voltage of ACMP negative input pin as the source of ACMP V-.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadf8b3039e5b30cfc887b6ad643dc09ba">More...</a><br /></td></tr>
<tr class="separator:gadf8b3039e5b30cfc887b6ad643dc09ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga481479065eb4c99496f47f0446ebc08c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga481479065eb4c99496f47f0446ebc08c">ACMP_VNEG_BANDGAP</a></td></tr>
<tr class="memdesc:ga481479065eb4c99496f47f0446ebc08c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting band-gap voltage as the source of ACMP V-.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga481479065eb4c99496f47f0446ebc08c">More...</a><br /></td></tr>
<tr class="separator:ga481479065eb4c99496f47f0446ebc08c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad093625fadea6e49424ff344e53a1b16"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad093625fadea6e49424ff344e53a1b16">ACMP_VNEG_4_OVER_24_VDD</a></td></tr>
<tr class="memdesc:gad093625fadea6e49424ff344e53a1b16"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting 4/24 VDD as the source of ACMP V-.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad093625fadea6e49424ff344e53a1b16">More...</a><br /></td></tr>
<tr class="separator:gad093625fadea6e49424ff344e53a1b16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae2d48ae80b7c455a6dcc56cd7be7aaea"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae2d48ae80b7c455a6dcc56cd7be7aaea">ACMP_VNEG_5_OVER_24_VDD</a></td></tr>
<tr class="memdesc:gae2d48ae80b7c455a6dcc56cd7be7aaea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting 5/24 VDD as the source of ACMP V-.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae2d48ae80b7c455a6dcc56cd7be7aaea">More...</a><br /></td></tr>
<tr class="separator:gae2d48ae80b7c455a6dcc56cd7be7aaea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab85c7b6cfe58780b3f3f652b3a4c74db"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab85c7b6cfe58780b3f3f652b3a4c74db">ACMP_VNEG_6_OVER_24_VDD</a></td></tr>
<tr class="memdesc:gab85c7b6cfe58780b3f3f652b3a4c74db"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting 6/24 VDD as the source of ACMP V-.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab85c7b6cfe58780b3f3f652b3a4c74db">More...</a><br /></td></tr>
<tr class="separator:gab85c7b6cfe58780b3f3f652b3a4c74db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga84d876fac31c296009dae76ada7fb272"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga84d876fac31c296009dae76ada7fb272">ACMP_VNEG_7_OVER_24_VDD</a></td></tr>
<tr class="memdesc:ga84d876fac31c296009dae76ada7fb272"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting 7/24 VDD as the source of ACMP V-.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga84d876fac31c296009dae76ada7fb272">More...</a><br /></td></tr>
<tr class="separator:ga84d876fac31c296009dae76ada7fb272"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab1ee7840c1f3bfc08ddbacc35a5035f9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab1ee7840c1f3bfc08ddbacc35a5035f9">ACMP_VNEG_8_OVER_24_VDD</a></td></tr>
<tr class="memdesc:gab1ee7840c1f3bfc08ddbacc35a5035f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting 8/24 VDD as the source of ACMP V-.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab1ee7840c1f3bfc08ddbacc35a5035f9">More...</a><br /></td></tr>
<tr class="separator:gab1ee7840c1f3bfc08ddbacc35a5035f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaa6abea7de7a7657613d7384756a0152"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa6abea7de7a7657613d7384756a0152">ACMP_VNEG_9_OVER_24_VDD</a></td></tr>
<tr class="memdesc:gaaa6abea7de7a7657613d7384756a0152"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting 9/24 VDD as the source of ACMP V-.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa6abea7de7a7657613d7384756a0152">More...</a><br /></td></tr>
<tr class="separator:gaaa6abea7de7a7657613d7384756a0152"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga37b0fd96e03b926a23a4a7051fa27f12"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga37b0fd96e03b926a23a4a7051fa27f12">ACMP_VNEG_10_OVER_24_VDD</a></td></tr>
<tr class="memdesc:ga37b0fd96e03b926a23a4a7051fa27f12"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting 10/24 VDD as the source of ACMP V-.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga37b0fd96e03b926a23a4a7051fa27f12">More...</a><br /></td></tr>
<tr class="separator:ga37b0fd96e03b926a23a4a7051fa27f12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaacd100fed9c0af36873a941112837fab"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaacd100fed9c0af36873a941112837fab">ACMP_VNEG_11_OVER_24_VDD</a></td></tr>
<tr class="memdesc:gaacd100fed9c0af36873a941112837fab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting 11/24 VDD as the source of ACMP V-.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaacd100fed9c0af36873a941112837fab">More...</a><br /></td></tr>
<tr class="separator:gaacd100fed9c0af36873a941112837fab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaca9a3256161919d609a32624d7bf83cc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaca9a3256161919d609a32624d7bf83cc">ACMP_VNEG_12_OVER_24_VDD</a></td></tr>
<tr class="memdesc:gaca9a3256161919d609a32624d7bf83cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting 12/24 VDD as the source of ACMP V-.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaca9a3256161919d609a32624d7bf83cc">More...</a><br /></td></tr>
<tr class="separator:gaca9a3256161919d609a32624d7bf83cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1a449460888aa4525a1b31b570298659"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1a449460888aa4525a1b31b570298659">ACMP_VNEG_13_OVER_24_VDD</a></td></tr>
<tr class="memdesc:ga1a449460888aa4525a1b31b570298659"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting 13/24 VDD as the source of ACMP V-.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1a449460888aa4525a1b31b570298659">More...</a><br /></td></tr>
<tr class="separator:ga1a449460888aa4525a1b31b570298659"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga46990998e22d00fbb4ec786468e83235"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga46990998e22d00fbb4ec786468e83235">ACMP_VNEG_14_OVER_24_VDD</a></td></tr>
<tr class="memdesc:ga46990998e22d00fbb4ec786468e83235"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting 14/24 VDD as the source of ACMP V-.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga46990998e22d00fbb4ec786468e83235">More...</a><br /></td></tr>
<tr class="separator:ga46990998e22d00fbb4ec786468e83235"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4fb7d54042bfe6cf7e024a13275fb21c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4fb7d54042bfe6cf7e024a13275fb21c">ACMP_VNEG_15_OVER_24_VDD</a></td></tr>
<tr class="memdesc:ga4fb7d54042bfe6cf7e024a13275fb21c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting 15/24 VDD as the source of ACMP V-.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4fb7d54042bfe6cf7e024a13275fb21c">More...</a><br /></td></tr>
<tr class="separator:ga4fb7d54042bfe6cf7e024a13275fb21c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaae3e0ce81360887cf66e7cb0673fe1f2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae3e0ce81360887cf66e7cb0673fe1f2">ACMP_VNEG_16_OVER_24_VDD</a></td></tr>
<tr class="memdesc:gaae3e0ce81360887cf66e7cb0673fe1f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting 16/24 VDD as the source of ACMP V-.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae3e0ce81360887cf66e7cb0673fe1f2">More...</a><br /></td></tr>
<tr class="separator:gaae3e0ce81360887cf66e7cb0673fe1f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa4d36ccecf094dca11d816512c832be0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa4d36ccecf094dca11d816512c832be0">ACMP_VNEG_17_OVER_24_VDD</a></td></tr>
<tr class="memdesc:gaa4d36ccecf094dca11d816512c832be0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting 17/24 VDD as the source of ACMP V-.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa4d36ccecf094dca11d816512c832be0">More...</a><br /></td></tr>
<tr class="separator:gaa4d36ccecf094dca11d816512c832be0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad3895f326e3f41b0c02f0b91630180e5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad3895f326e3f41b0c02f0b91630180e5">ACMP_VNEG_18_OVER_24_VDD</a></td></tr>
<tr class="memdesc:gad3895f326e3f41b0c02f0b91630180e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting 18/24 VDD as the source of ACMP V-.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad3895f326e3f41b0c02f0b91630180e5">More...</a><br /></td></tr>
<tr class="separator:gad3895f326e3f41b0c02f0b91630180e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5b7680596640382172c1667ed5cc9985"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5b7680596640382172c1667ed5cc9985">ACMP_VNEG_19_OVER_24_VDD</a></td></tr>
<tr class="memdesc:ga5b7680596640382172c1667ed5cc9985"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting 19/24 VDD as the source of ACMP V-.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5b7680596640382172c1667ed5cc9985">More...</a><br /></td></tr>
<tr class="separator:ga5b7680596640382172c1667ed5cc9985"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0c583ff7d2e4c259483d0e0dd3959344"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0c583ff7d2e4c259483d0e0dd3959344">ACMP_HYSTERESIS_ENABLE</a></td></tr>
<tr class="memdesc:ga0c583ff7d2e4c259483d0e0dd3959344"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable hysteresis function.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0c583ff7d2e4c259483d0e0dd3959344">More...</a><br /></td></tr>
<tr class="separator:ga0c583ff7d2e4c259483d0e0dd3959344"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga919e8aa2701296dadee00358b7046aeb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga919e8aa2701296dadee00358b7046aeb">ACMP_HYSTERESIS_DISABLE</a></td></tr>
<tr class="memdesc:ga919e8aa2701296dadee00358b7046aeb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable hysteresis function.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga919e8aa2701296dadee00358b7046aeb">More...</a><br /></td></tr>
<tr class="separator:ga919e8aa2701296dadee00358b7046aeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7422f0c27a6d1a6c9463f0f6c05ded19"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7422f0c27a6d1a6c9463f0f6c05ded19">ACMP_CH0_POSPIN_P15</a></td></tr>
<tr class="memdesc:ga7422f0c27a6d1a6c9463f0f6c05ded19"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting P1.5 as ACMP Channel 0 positive input pin.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7422f0c27a6d1a6c9463f0f6c05ded19">More...</a><br /></td></tr>
<tr class="separator:ga7422f0c27a6d1a6c9463f0f6c05ded19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2976487036e9dd0d4ee33dc8d5be5b40"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2976487036e9dd0d4ee33dc8d5be5b40">ACMP_CH0_POSPIN_P10</a></td></tr>
<tr class="memdesc:ga2976487036e9dd0d4ee33dc8d5be5b40"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting P1.0 as ACMP Channel 0 positive input pin.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2976487036e9dd0d4ee33dc8d5be5b40">More...</a><br /></td></tr>
<tr class="separator:ga2976487036e9dd0d4ee33dc8d5be5b40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga68f9bc6db2a24bdf586a281341c933d9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga68f9bc6db2a24bdf586a281341c933d9">ACMP_CH0_POSPIN_P12</a></td></tr>
<tr class="memdesc:ga68f9bc6db2a24bdf586a281341c933d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting P1.2 as ACMP Channel 0 positive input pin.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga68f9bc6db2a24bdf586a281341c933d9">More...</a><br /></td></tr>
<tr class="separator:ga68f9bc6db2a24bdf586a281341c933d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d07f0ff812a4b161d0142727d6cc62b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1d07f0ff812a4b161d0142727d6cc62b">ACMP_CH0_POSPIN_P13</a></td></tr>
<tr class="memdesc:ga1d07f0ff812a4b161d0142727d6cc62b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting P1.3 as ACMP Channel 0 positive input pin.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1d07f0ff812a4b161d0142727d6cc62b">More...</a><br /></td></tr>
<tr class="separator:ga1d07f0ff812a4b161d0142727d6cc62b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3b9ebdef1fce13730e7f83b469dd439a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3b9ebdef1fce13730e7f83b469dd439a">ACMP_CH1_POSPIN_P31</a></td></tr>
<tr class="memdesc:ga3b9ebdef1fce13730e7f83b469dd439a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting P3.1 as ACMP Channel 1 positive input pin.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3b9ebdef1fce13730e7f83b469dd439a">More...</a><br /></td></tr>
<tr class="separator:ga3b9ebdef1fce13730e7f83b469dd439a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac68c18180c5cef5579cc30ef1e6c3062"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac68c18180c5cef5579cc30ef1e6c3062">ACMP_CH1_POSPIN_P32</a></td></tr>
<tr class="memdesc:gac68c18180c5cef5579cc30ef1e6c3062"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting P3.2 as ACMP Channel 1 positive input pin.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac68c18180c5cef5579cc30ef1e6c3062">More...</a><br /></td></tr>
<tr class="separator:gac68c18180c5cef5579cc30ef1e6c3062"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacc1a88b4444474a513e110b5b9b008cd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacc1a88b4444474a513e110b5b9b008cd">ACMP_CH1_POSPIN_P34</a></td></tr>
<tr class="memdesc:gacc1a88b4444474a513e110b5b9b008cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting P3.4 as ACMP Channel 1 positive input pin.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacc1a88b4444474a513e110b5b9b008cd">More...</a><br /></td></tr>
<tr class="separator:gacc1a88b4444474a513e110b5b9b008cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga228c8f8f9651764614effb566de21cb7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga228c8f8f9651764614effb566de21cb7">ACMP_CH1_POSPIN_P35</a></td></tr>
<tr class="memdesc:ga228c8f8f9651764614effb566de21cb7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selecting P3.5 as ACMP Channel 1 positive input pin.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga228c8f8f9651764614effb566de21cb7">More...</a><br /></td></tr>
<tr class="separator:ga228c8f8f9651764614effb566de21cb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga45a665764c52ef6a9f04d7ea146628e4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga45a665764c52ef6a9f04d7ea146628e4">ACMP_SET_NEG_SRC</a>(acmp,  u32ChNum,  u32Src)</td></tr>
<tr class="memdesc:ga45a665764c52ef6a9f04d7ea146628e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to select ACMP negative input source.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga45a665764c52ef6a9f04d7ea146628e4">More...</a><br /></td></tr>
<tr class="separator:ga45a665764c52ef6a9f04d7ea146628e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6ff058bc40270bc680c5342e61286d1c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6ff058bc40270bc680c5342e61286d1c">ACMP_ENABLE_HYSTERESIS</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga6ff058bc40270bc680c5342e61286d1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable hysteresis function.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6ff058bc40270bc680c5342e61286d1c">More...</a><br /></td></tr>
<tr class="separator:ga6ff058bc40270bc680c5342e61286d1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2d40aa0b9764296df3efdbf123efd67c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2d40aa0b9764296df3efdbf123efd67c">ACMP_DISABLE_HYSTERESIS</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga2d40aa0b9764296df3efdbf123efd67c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to disable hysteresis function.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2d40aa0b9764296df3efdbf123efd67c">More...</a><br /></td></tr>
<tr class="separator:ga2d40aa0b9764296df3efdbf123efd67c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3a87980f263cf8d119a0c8c6813c0009"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3a87980f263cf8d119a0c8c6813c0009">ACMP_ENABLE_INT</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga3a87980f263cf8d119a0c8c6813c0009"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable interrupt.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3a87980f263cf8d119a0c8c6813c0009">More...</a><br /></td></tr>
<tr class="separator:ga3a87980f263cf8d119a0c8c6813c0009"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabeacab51c104e76f4a63e549dd51458e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabeacab51c104e76f4a63e549dd51458e">ACMP_DISABLE_INT</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:gabeacab51c104e76f4a63e549dd51458e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to disable interrupt.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabeacab51c104e76f4a63e549dd51458e">More...</a><br /></td></tr>
<tr class="separator:gabeacab51c104e76f4a63e549dd51458e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1b0826b13566d82221c87495d53f1fd1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b0826b13566d82221c87495d53f1fd1">ACMP_ENABLE</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga1b0826b13566d82221c87495d53f1fd1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable ACMP.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b0826b13566d82221c87495d53f1fd1">More...</a><br /></td></tr>
<tr class="separator:ga1b0826b13566d82221c87495d53f1fd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab6d2a6f4b3ff275b7b9c288d4ff9e451"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6d2a6f4b3ff275b7b9c288d4ff9e451">ACMP_DISABLE</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:gab6d2a6f4b3ff275b7b9c288d4ff9e451"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to disable ACMP.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6d2a6f4b3ff275b7b9c288d4ff9e451">More...</a><br /></td></tr>
<tr class="separator:gab6d2a6f4b3ff275b7b9c288d4ff9e451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga49697bfbf35af67568bed5eea9a16f14"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga49697bfbf35af67568bed5eea9a16f14">ACMP_GET_OUTPUT</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga49697bfbf35af67568bed5eea9a16f14"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to get ACMP output value.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga49697bfbf35af67568bed5eea9a16f14">More...</a><br /></td></tr>
<tr class="separator:ga49697bfbf35af67568bed5eea9a16f14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga35fd02ebe49db0363ea1b49abd8e0a44"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga35fd02ebe49db0363ea1b49abd8e0a44">ACMP_GET_INT_FLAG</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga35fd02ebe49db0363ea1b49abd8e0a44"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to get ACMP interrupt flag.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga35fd02ebe49db0363ea1b49abd8e0a44">More...</a><br /></td></tr>
<tr class="separator:ga35fd02ebe49db0363ea1b49abd8e0a44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6970a7ea11190354b68cf7773ce58941"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6970a7ea11190354b68cf7773ce58941">ACMP_CLR_INT_FLAG</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga6970a7ea11190354b68cf7773ce58941"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to clear ACMP interrupt flag.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6970a7ea11190354b68cf7773ce58941">More...</a><br /></td></tr>
<tr class="separator:ga6970a7ea11190354b68cf7773ce58941"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga846eaf67234d451d75e61e62af4794a5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga846eaf67234d451d75e61e62af4794a5">ACMP_SELECT_P</a>(acmp,  u32ChNum,  u32Pin)</td></tr>
<tr class="memdesc:ga846eaf67234d451d75e61e62af4794a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to select the V+ pin of ACMP.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga846eaf67234d451d75e61e62af4794a5">More...</a><br /></td></tr>
<tr class="separator:ga846eaf67234d451d75e61e62af4794a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga447f20e461c095de0e6dd502f4a267ac"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga447f20e461c095de0e6dd502f4a267ac">ACMP_CRV_SEL</a>(acmp,  u32Level)</td></tr>
<tr class="memdesc:ga447f20e461c095de0e6dd502f4a267ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to set the level of CRV(Comparator Reference Voltage)  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga447f20e461c095de0e6dd502f4a267ac">More...</a><br /></td></tr>
<tr class="separator:ga447f20e461c095de0e6dd502f4a267ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8ea40922e983fbac41f1edb8de6a3508"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8ea40922e983fbac41f1edb8de6a3508">ACMP_ENABLE_CRV</a>(acmp)</td></tr>
<tr class="memdesc:ga8ea40922e983fbac41f1edb8de6a3508"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable CRV(Comparator Reference Voltage)  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8ea40922e983fbac41f1edb8de6a3508">More...</a><br /></td></tr>
<tr class="separator:ga8ea40922e983fbac41f1edb8de6a3508"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa02b51a7db91ab851ad314fbf1522774"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa02b51a7db91ab851ad314fbf1522774">ACMP_DISABLE_CRV</a>(acmp)</td></tr>
<tr class="memdesc:gaa02b51a7db91ab851ad314fbf1522774"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to disable CRV(Comparator Reference Voltage)  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa02b51a7db91ab851ad314fbf1522774">More...</a><br /></td></tr>
<tr class="separator:gaa02b51a7db91ab851ad314fbf1522774"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa588315707d73c35a6feb7d9c00c1f89"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa588315707d73c35a6feb7d9c00c1f89">ACMP_ENABLE_FALLING_EDGE_TRIGGER</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:gaa588315707d73c35a6feb7d9c00c1f89"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable ACMP falling edge trigger Timer/PWM.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa588315707d73c35a6feb7d9c00c1f89">More...</a><br /></td></tr>
<tr class="separator:gaa588315707d73c35a6feb7d9c00c1f89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf9e29e6dd5c660e59d235f33e219c5c4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf9e29e6dd5c660e59d235f33e219c5c4">ACMP_DISABLE_FALLING_EDGE_TRIGGER</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:gaf9e29e6dd5c660e59d235f33e219c5c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to disable ACMP falling edge trigger Timer/PWM.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf9e29e6dd5c660e59d235f33e219c5c4">More...</a><br /></td></tr>
<tr class="separator:gaf9e29e6dd5c660e59d235f33e219c5c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1ee23caf53b782225b1b9385c8afac99"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1ee23caf53b782225b1b9385c8afac99">ACMP_ENABLE_RISING_EDGE_TRIGGER</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga1ee23caf53b782225b1b9385c8afac99"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable ACMP rising edge trigger Timer/PWM.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1ee23caf53b782225b1b9385c8afac99">More...</a><br /></td></tr>
<tr class="separator:ga1ee23caf53b782225b1b9385c8afac99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6c8977e1db37dfddd00e3af0ff806326"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6c8977e1db37dfddd00e3af0ff806326">ACMP_DISABLE_RISING_EDGE_TRIGGER</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga6c8977e1db37dfddd00e3af0ff806326"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to disable ACMP rising edge trigger Timer/PWM.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6c8977e1db37dfddd00e3af0ff806326">More...</a><br /></td></tr>
<tr class="separator:ga6c8977e1db37dfddd00e3af0ff806326"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga042fe719ca247fb07992bd66bf267b89"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga042fe719ca247fb07992bd66bf267b89">ACMP_Open</a> (<a class="el" href="struct_a_c_m_p___t.html">ACMP_T</a> *acmp, uint32_t u32ChNum, uint32_t u32NegSrc, uint32_t u32HysteresisEn)</td></tr>
<tr class="memdesc:ga042fe719ca247fb07992bd66bf267b89"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure the specified ACMP module.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga042fe719ca247fb07992bd66bf267b89">More...</a><br /></td></tr>
<tr class="separator:ga042fe719ca247fb07992bd66bf267b89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga23acd50e45282f2140f23971b7cb29cd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga23acd50e45282f2140f23971b7cb29cd">ACMP_Close</a> (<a class="el" href="struct_a_c_m_p___t.html">ACMP_T</a> *acmp, uint32_t u32ChNum)</td></tr>
<tr class="memdesc:ga23acd50e45282f2140f23971b7cb29cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function close comparator.  <a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga23acd50e45282f2140f23971b7cb29cd">More...</a><br /></td></tr>
<tr class="separator:ga23acd50e45282f2140f23971b7cb29cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Mini51 series Analog Comparator(ACMP) driver header file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>4 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/09/22 7:50p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="acmp_8h_source.html">acmp.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:44 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
